
Redmine - Defect #24915

Activity shows issues and text of issues which should not

2017-01-24 12:05 - Thomas Löfgren

Status: Needs feedback Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.1

Description

If as user only allowed to see your issues (Issues assigned or created by user) and you click on a different member of the project

from the Project overview side.

You will see all the tickets assigned to that user and some of the content of the tickets as well.

If you click on a ticket from the activity you will get 403 Forbidden.

This may be applicable on other kind of activities.

Related issues:

Related to Redmine - Defect #22120: Issues are visible in Issue List but not ... Needs feedback

History

#1 - 2017-01-24 12:22 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe more details and see submissions.

#2 - 2017-01-24 12:25 - Toshi MARUYAMA

- Related to Defect #22120: Issues are visible in Issue List but not in Issue Detail added

#3 - 2018-08-13 03:43 - Go MAEDA

I could not reproduce the problem with 3.4.6.devel.17468. All activities on a user's profile page are visible issues for the current user.
